package com.brilliance.isc.vo.lg;

import com.brilliance.isc.vo.model.Limchg;
import com.brilliance.isc.vo.model.Nidgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitzsqStoreVo extends BaseTransactionVo {
    private Limchg limchg;
    private Nidgrp nidgrp;

    @Override
    public void reset(){
        super.reset();
        if (limchg == null){
            limchg= new Limchg();
        }
        if (nidgrp == null){
            nidgrp=new Nidgrp();
        }
    }
}
